View Issue Details

IDProjectCategoryView StatusLast Update
0005793GNUnetutil librarypublic2019-07-24 20:42
ReporterHeiko StamerAssigned ToChristian Grothoff 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionopen 
Product VersionSVN HEAD 
Target Version0.11.6Fixed in Version0.11.6 
Summary0005793: Odd typedef in gnunet_util_lib.h
DescriptionSince last update to GIT HEAD I've got the following error:

In file included from /home/dkg-test/include/gnunet/gnunet_bio_lib.h:35:0,
                 from /home/dkg-test/include/gnunet/gnunet_util_lib.h:66,
                 from dkg-gnunet-common.hh:55,
                 from dkg-gnunet-common.cc:34:
/home/dkg-test/include/gnunet/gnunet_container_lib.h:1793:8: error: using typedef-name ‘GNUNET_CONTAINER_MultiUuidmapIterator’ after ‘struct’
 struct GNUNET_CONTAINER_MultiUuidmapIterator;
        ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/home/dkg-test/include/gnunet/gnunet_container_lib.h:1616:15: note: ‘GNUNET_CONTAINER_MultiUuidmapIterator’ has a previous declaration here
 typedef int (*GNUNET_CONTAINER_MultiUuidmapIterator) (
               ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/home/dkg-test/include/gnunet/gnunet_container_lib.h:1809:8: error: using typedef-name ‘GNUNET_CONTAINER_MultiUuidmapIterator’ after ‘struct’
 struct GNUNET_CONTAINER_MultiUuidmapIterator *
        ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/home/dkg-test/include/gnunet/gnunet_container_lib.h:1616:15: note: ‘GNUNET_CONTAINER_MultiUuidmapIterator’ has a previous declaration here
 typedef int (*GNUNET_CONTAINER_MultiUuidmapIterator) (
               ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/home/dkg-test/include/gnunet/gnunet_container_lib.h:1831:10: error: using typedef-name ‘GNUNET_CONTAINER_MultiUuidmapIterator’ after ‘struct’
   struct GNUNET_CONTAINER_MultiUuidmapIterator *iter,
          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/home/dkg-test/include/gnunet/gnunet_container_lib.h:1616:15: note: ‘GNUNET_CONTAINER_MultiUuidmapIterator’ has a previous declaration here
 typedef int (*GNUNET_CONTAINER_MultiUuidmapIterator) (
               ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/home/dkg-test/include/gnunet/gnunet_container_lib.h:1844:10: error: using typedef-name ‘GNUNET_CONTAINER_MultiUuidmapIterator’ after ‘struct’
   struct GNUNET_CONTAINER_MultiUuidmapIterator *iter);
          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/home/dkg-test/include/gnunet/gnunet_container_lib.h:1616:15: note: ‘GNUNET_CONTAINER_MultiUuidmapIterator’ has a previous declaration here
 typedef int (*GNUNET_CONTAINER_MultiUuidmapIterator) (
               ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
TagsNo tags attached.

Activities

Christian Grothoff

2019-07-21 11:10

manager   ~0014715

Fixed in 4a85347dc..dfeef02bf. Thanks for reporting (your gcc is more picky than mine, it seems, in a good way).

Issue History

Date Modified Username Field Change
2019-07-03 22:44 Heiko Stamer New Issue
2019-07-21 11:00 Christian Grothoff Assigned To => Christian Grothoff
2019-07-21 11:00 Christian Grothoff Status new => assigned
2019-07-21 11:10 Christian Grothoff Status assigned => resolved
2019-07-21 11:10 Christian Grothoff Product Version => SVN HEAD
2019-07-21 11:10 Christian Grothoff Fixed in Version => 0.11.6
2019-07-21 11:10 Christian Grothoff Target Version => 0.11.6
2019-07-21 11:10 Christian Grothoff Note Added: 0014715
2019-07-24 20:42 Christian Grothoff Status resolved => closed